Skip to main content
`Ctrl`+`K`

# MatHasOperation

Determines whether the given matrix supports the particular operation.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHasOperation(Mat mat, MatOperation op, PetscBool *has)

Not Collective

## Input Parameters

- mat - the matrix

- op - the operation, for example, `MATOP_GET_DIAGONAL`

## Output Parameter

- has - either `PETSC_TRUE` or `PETSC_FALSE`

## Note

See `MatSetOperation()` for additional discussion on naming convention and usage of `op`.

## See Also

Matrices, `Mat`, `MatCreateShell()`, `MatGetOperation()`, `MatSetOperation()`

## Level

advanced

## Location

src/mat/interface/matrix.c

## Implementations

MatHasOperation_IS() in src/mat/impls/is/matis.c
MatHasOperation_Nest() in src/mat/impls/nest/matnest.c
MatHasOperation_HT() in src/mat/impls/transpose/htransm.c
MatHasOperation_Transpose() in src/mat/impls/transpose/transm.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages